<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>columns-auto-floats-003</title>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		div {
			columns: 3;
			column-fill: auto;
			column-rule: solid 1px black;
			-ps-areas: columnFootnotes;
			background-color: lightgrey;
			border: solid 1px black;
			padding: 1em;
		}

		.footnotePage {
			float: footnote;
		}

		.footnoteCol {
			counter-increment: footnote;
		}

		.footnoteCol::-ps-float-call {
			content: counter(footnote);
			vertical-align: super;
			font-size: 60%;
		}

		.footnoteCol::-ps-float-marker {
			content: counter(footnote) ". ";
		}

		.footnoteCol {
			float: -ps-area(columnFootnotes);
		}

	</style>
</head>
<body>
<div>
	<p>
		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque posuere fringilla velit eu fermentum. Praesent eros nulla, suscipit non vulputate non, elementum eu leo. Curabitur eu est sit amet nisl luctus mollis eu sed lectus.
		Curabitur fringilla nec ante eu mollis. Cras id vestibulum dui. Duis ultricies velit et libero iaculis, eget aliquam nunc molestie. Nam posuere dui id justo imperdiet, non cursus ligula sollicitudin. Sed ac sapien nec tellus
		volutpat imperdiet. Nam libero est, rutrum at semper ut, viverra et lorem<span class="footnoteCol">Footnote</span>.
	</p>
	<p>
		Duis efficitur, nulla ac vulputate pellentesque, dolor diam ullamcorper elit, sed semper dolor enim vel lacus. Vestibulum nec tellus nec diam iaculis sollicitudin quis in enim. Integer consequat vel ante non maximus. Donec ac
		gravida leo, et placerat purus. Morbi semper augue eu risus tincidunt, eget pretium augue iaculis. Sed ante eros, dignissim a nisl vel, porta pretium est. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per
		inceptos himenaeos. Nunc nec viverra orci. Nunc sit amet eros sed sapien lobortis viverra. Curabitur eget imperdiet ipsum. Pellentesque ligula massa, pellentesque ac vestibulum eget, varius et enim. Aliquam ornare tortor sit amet
		cursus tempor. Nunc ipsum libero, faucibus at feugiat a, facilisis sit amet urna. Mauris scelerisque magna eu ligula posuere varius. Ut aliquam sem eget elit faucibus, ut suscipit quam tristique<span
			class="footnotePage">Footnote</span>.
	</p>
</div>
</body>
</html>

